%global packname SummarizedExperiment
%global packver 1.6.3

Name:             R-%{packname}
Version:          %{packver}
Release:          1%{?dist}
Source0:          http://www.bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{packver}.tar.gz
License:          Artistic 2.0
URL:              http://www.bioconductor.org/packages/release/bioc/html/%{packname}.html
Group:            Applications/Engineering
Summary:          SummarizedExperiment container
BuildRequires:    R-devel >= 3.2.0, tetex-latex, R-methods, R-GenomicRanges >= 1.27.22, R-Biobase
BuildRequires:    R-DelayedArray >= 0.1.9, R-utils, R-stats, R-tools, R-Matrix, R-BiocGenerics >= 0.15.3
BuildRequires:    R-S4Vectors-devel >= 0.13.13, R-IRanges-devel >= 2.7.2, R-GenomeInfoDb >= 1.11.4
BuildArch:        noarch
Requires:         R-core >= 3.2.0
Requires:         R-methods, R-GenomicRanges >= 1.27.22, R-Biobase, R-DelayedArray >= 0.1.9
Requires:         R-utils, R-stats, R-tools, R-Matrix, R-BiocGenerics >= 0.15.3, R-S4Vectors >= 0.13.13
Requires:         R-IRanges >= 2.7.2, R-GenomeInfoDb >= 1.11.4

%description
The SummarizedExperiment container contains one or more assays, each 
represented by a matrix-like object of numeric or other mode. The rows 
typically represent genomic ranges of interest and the columns represent 
samples.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_datadir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

%check
# Too many missing deps
# %%{_bindir}/R CMD check %%{packname}

%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/NEWS
%{_datadir}/R/library/%{packname}/doc
%{_datadir}/R/library/%{packname}/extdata
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/scripts
%{_datadir}/R/library/%{packname}/unitTests

%changelog
* Wed May 31 2017 Tom Callaway <spot@fedoraproject.org> - 1.6.3-1
- initial package

